Commit 4de66632 authored by Arun Raghavan's avatar Arun Raghavan Committed by Arun Raghavan

meson: Enable Orc in build

Top-level meson.build code updated from gst-plugins-good.
parent d00aa0c1
......@@ -92,7 +92,7 @@ gstaudio = library('gstaudio-@0@'.format(api_version),
version : libversion,
soversion : soversion,
install : true,
dependencies : [tag_dep, gst_base_dep, libm],
dependencies : [tag_dep, gst_base_dep, orc_dep, libm],
vs_module_defs: vs_module_defs_dir + 'libgstaudio.def',
)
# TODO: generate gir
......
......@@ -123,7 +123,7 @@ gstvideo = library('gstvideo-@0@'.format(api_version),
version : libversion,
soversion : soversion,
install : true,
dependencies : [gst_base_dep, libm],
dependencies : [gst_base_dep, orc_dep, libm],
vs_module_defs: vs_module_defs_dir + 'libgstvideo.def',
)
# TODO: generate gir
......
......@@ -21,7 +21,7 @@ adder = library('gstadder',
'gstadder.c', orc_c, orc_h,
c_args: gst_plugins_base_args,
include_directories: [configinc, libsinc],
dependencies : [audio_dep],
dependencies : [audio_dep, orc_dep],
install : true,
install_dir : plugins_install_dir,
)
......@@ -21,7 +21,7 @@ gstvideotestsrc = library('gstvideotestsrc',
'gstvideotestsrc.c', 'videotestsrc.c', orc_c, orc_h,
c_args : gst_plugins_base_args,
include_directories: [configinc, libsinc],
dependencies : glib_deps + [video_dep, gst_dep, gst_base_dep, libm],
dependencies : glib_deps + [video_dep, gst_dep, gst_base_dep, orc_dep, libm],
install : true,
install_dir : plugins_install_dir,
)
......@@ -20,7 +20,7 @@ endif
gstvolume = library('gstvolume', 'gstvolume.c', orc_c, orc_h,
c_args : gst_plugins_base_args,
include_directories: [configinc, libsinc],
dependencies : glib_deps + [audio_dep, gst_dep, gst_base_dep],
dependencies : glib_deps + [audio_dep, gst_dep, gst_base_dep, orc_dep],
install : true,
install_dir : plugins_install_dir,
)
......@@ -97,7 +97,6 @@ core_conf.set('GST_API_VERSION', '"@0@"'.format(api_version))
core_conf.set('GST_INSTALL_PLUGINS_HELPER', '"/FIXME"')
core_conf.set('GST_DATADIR', '"/FIXME"')
core_conf.set('GST_LICENSE', '"LGPL"')
core_conf.set('DISABLE_ORC', 1)
# FIXME: These should be configure options
core_conf.set('DEFAULT_VIDEOSINK', '"autovideosink"')
core_conf.set('DEFAULT_AUDIOSINK', '"autoaudiosink"')
......@@ -162,13 +161,18 @@ orcc_args = []
if get_option('use_orc') != 'no'
need_orc = get_option('use_orc') == 'yes'
# Used by various libraries/elements that use Orc code
orc_dep = dependency('orc-0.4', version : '>= 0.4.17', required : need_orc)
orcc = find_program('orcc', required : need_orc)
if orcc.found()
if orc_dep.found() and orcc.found()
have_orcc = true
orcc_args = [orcc, '--include', 'glib.h']
core_conf.set('HAVE_ORC', 1)
else
message('Orc Compiler not found, will use backup C code')
core_conf.set('DISABLE_ORC', 1)
endif
else
core_conf.set('DISABLE_ORC', 1)
endif
subdir('gst-libs')
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment